The "List Subscriptions" API allows to retrieve a paginated list of subscriptions. Customize your results by filtering subscriptions based on name, alt type, subscription status, payment mode, date range, type of source, contact, subscription id, entity id, contact or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve subscription information.

http
GET https://services.leadconnectorhq.com/payments/subscriptions

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
altIdstringYes3SwdhCu3svxI8AKsPJt6AltId is the unique identifier e.g: account id.
altTypestringYesaccountAltType is the type of identifier.
entityIdstringNo61dd0fe9c077f73e67f78803Entity id for filtering of subscriptions.
paymentModestringNoliveMode of payment.
startAtstringNo2024-02-01Starting interval of subscriptions.
endAtstringNo2024-02-13Closing interval of subscriptions.
entitySourceTypestringNofunnelSource of the subscriptions.
searchstringNoAwesome subscriptionThe name of the subscription for searching.
contactIdstringNoAmuzcoPBpgKeccNsFlibContact ID for the subscription
idstringNo64bf78af39118e4011926cbaSubscription id for filtering of subscriptions.
limitnumberNo20The maximum number of items to be included in a single page of results
offsetnumberNo0The starting index of the page, indicating the position from which the results should be retrieved.
getPaymentsCollectedCountbooleanNotrueGet the total payments collected for the subscription.

Responses

200 - Successful response
  • data (object[], required): An array of subscriptions

    • _id (string, required): The unique identifier for the subscription. Example: 64bf78af39118e4011926cba

    • altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6

    • altType (string, required): AltType is the type of identifier. Possible values: 'account' Example: account

    • contactId (string): Contact id corresponding to the subscription. Example: XPLSw2SVagl12LMDeTmQ

    • contactName (string): Contact name corresponding to the subscription. Example: James Bond

    • contactEmail (string): Contact email corresponding to the subscription. Example: james.bond@leadwaycrm.com

    • currency (string): Currency in which subscription occurred. Example: USD

    • amount (number): Subscription value. Example: 100

    • status (object, required): The status of the subscription (e.g., succeeded). Example: active

    • liveMode (boolean): Subscription is in live / test mode. Example: false

    • entityType (string): Entity type of subscription (eg: order). Example: order

    • entityId (string): Entity id for the subscription. e.g: order id Example: 62f4db0f3059ecee61379012

    • entitySourceType (string, required): Entity source type of subscription (eg: funnel). Example: funnel

    • entitySourceName (string): Entity source name for the subscription. Example: Attribution Funnel

    • entitySourceId (string): Entity source id for the subscription. Example: bevrkPbLaDNXFaqfLKMm

    • entitySourceMeta (object): Meta content for the entity source of subscription. Example: { domain: "app.leadwaycrm.com", pageId: "sxC4lNhFIavEnLZh5KhC", pageUrl: "/v2/preview/sxC4lNhFIavEnLZh5KhC", stepId: "7d303d1f-cb85-403d-b548-bf01de5c7bb0" }

    • subscriptionId (string): Subscription id for subscription. Example: I-0UE609H8E43P

    • subscriptionSnapshot (object): Snapshot of subscription. Example: { status: "ACTIVE", status_update_time: "2022-08-16T11:06:53Z", id: "I-0UE609H8E43P", plan_id: "P-82K11750F0313430KMLRGE6Y", start_time: "2022-08-16T11:05:31Z", quantity: 1 }

    • paymentProviderType (string): Payment provider for subscription. Example: stripe

    • paymentProviderConnectedAccount (string): Payment provider connected account id for subscription. Example: ATn0CqrzrWS5ak185Bsb1xCpyzBDOZ8WdRxyFotppLYePTDhiuQ49H5QXO_L-4HKk1GBn7f9_QhbNK2s

    • ipAddress (string): Ip address from where subscription was initiated. Example: 103.100.16.82

    • createdAt (string, required): The creation timestamp of the subscription. Example: 2023-11-20T10:23:36.515Z

    • updatedAt (string, required): The update timestamp of the subscription. Example: 2023-11-20T10:23:36.515Z

    • createdBy (string): User ID who created the subscription. Example: user123

  • totalCount (number, required): total subscriptions count

json
{
  "data": [
    {
      "_id": "64bf78af39118e4011926cba",
      "altId": "3SwdhCu3svxI8AKsPJt6",
      "altType": "account",
      "contactId": "XPLSw2SVagl12LMDeTmQ",
      "contactName": "James Bond",
      "contactEmail": "james.bond@leadwaycrm.com",
      "currency": "USD",
      "amount": "100",
      "status": "active",
      "liveMode": "false",
      "entityType": "order",
      "entityId": "62f4db0f3059ecee61379012",
      "entitySourceType": "funnel",
      "entitySourceName": "Attribution Funnel",
      "entitySourceId": "bevrkPbLaDNXFaqfLKMm",
      "entitySourceMeta": "{ domain: \"app.leadwaycrm.com\", pageId:  \"sxC4lNhFIavEnLZh5KhC\", pageUrl:  \"/v2/preview/sxC4lNhFIavEnLZh5KhC\", stepId: \"7d303d1f-cb85-403d-b548-bf01de5c7bb0\" }",
      "subscriptionId": "I-0UE609H8E43P",
      "subscriptionSnapshot": "{ status: \"ACTIVE\", status_update_time: \"2022-08-16T11:06:53Z\", id: \"I-0UE609H8E43P\", plan_id: \"P-82K11750F0313430KMLRGE6Y\", start_time: \"2022-08-16T11:05:31Z\", quantity: 1 }",
      "paymentProviderType": "stripe",
      "paymentProviderConnectedAccount": "ATn0CqrzrWS5ak185Bsb1xCpyzBDOZ8WdRxyFotppLYePTDhiuQ49H5QXO_L-4HKk1GBn7f9_QhbNK2s",
      "ipAddress": "103.100.16.82",
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2023-11-20T10:23:36.515Z",
      "createdBy": "user123"
    }
  ],
  "totalCount": 0
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/payments/subscriptions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?